Bug 1009013 - [User Portal] OS type 'Linux' and (just) Windows has 'OS ?' icon (but 'Other Linux' has penguin)
[User Portal] OS type 'Linux' and (just) Windows has 'OS ?' icon (but 'Other ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Roy Golan
Lukas Svaty
virt
: Triaged
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-09-17 09:45 EDT by Jiri Belka
Modified: 2014-01-21 17:33 EST (History)
9 users (show)

See Also:
Fixed In Version: is21
Doc Type: Release Note
Doc Text:
This fix is removing "windows" and "linux" OSs from osinfo. This will break import of those OSs. To fix the import its enough to add to $PREFIX/etc/ovirt-engine/osinfo.conf.d/20-import-export-linux-windows-fix.properties 20-import-export-linux-windows-fix.properties backwardCompatibility.linux = 5 backwardCompatibility.windows = 1
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
various os types vms in User portal (121.07 KB, image/png)
2013-09-17 09:45 EDT, Jiri Belka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20220 None None None Never
oVirt gerrit 20269 None None None Never

  None (edit)
Description Jiri Belka 2013-09-17 09:45:20 EDT
Created attachment 798823 [details]
various os types vms in User portal

Description of problem:

OS type 'Linux' has 'OS ?' icon but 'Other Linux' has penguin.

Version-Release number of selected component (if applicable):
is15

How reproducible:
100%

Steps to Reproduce:
1. create VMs with OS types: Linux, Other Linux
2. compare icons in User Portal
3.

Actual results:
Linux os type is not Linux as it does not have penguin :)

Expected results:
penguin+ icon

Additional info:
Comment 1 Jiri Belka 2013-09-17 09:50:47 EDT
Please repair also OS type icon for (just) 'Windows', it has 'OS ?' as well.
Comment 2 Roy Golan 2013-10-15 16:58:20 EDT
actually there shouldn't be "linux" and "other linux". Adding "linux" (which is the parent of almost all linux OSs) this was my mistake in the port of old oss to osinfo format.
so merging them to be just linux, which is also a better name.


I'm also having second thought on having "windows". there isn't really a general windows OSs. I think it should also be removed
Comment 3 Michal Skrivanek 2013-10-16 02:52:59 EDT
what about Windows not in the list? I'm fine with removing those and keep Other only 

in any case it's late in 3.3 so moving to 3.4, please take care of REST as well:)
Comment 4 Roy Golan 2013-10-16 03:32:03 EDT
Einav can you supply a large/small userportal icons for general windows?
Comment 5 Roy Golan 2013-10-16 04:35:53 EDT
Einav pls ignore
Comment 6 Michal Skrivanek 2013-10-17 04:59:21 EDT
actually simple&ready, so 3.3 after all....
Comment 7 Lukas Svaty 2013-11-21 05:43:03 EST
tested in is24
Comment 8 Itamar Heim 2014-01-21 17:30:27 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:30:27 EST
Closing - RHEV 3.3 Released
Comment 10 Itamar Heim 2014-01-21 17:33:27 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.